/*
  @description: 共享文档配置
  @Modifier: zhuyanchao
  @routerPath:
  @date: 2020-7-11-15:23
*/
export const systemZipDocMixin = {
  data() {
    return {
      // 启动状态
      docTypeList: [], // 文档类别
      docRoleTypeList: [] // 角色类型
    }
  },
  created() {
    this.initGroup()
  },
  methods: {
    initGroup() {
      const data = [
        'docType', // 文档类型
        'docRoleType'
      ]
      this.$store.dispatch('getGroupType', data).then(res => {
        Object.keys(res.bidTypeData).forEach((key) => {
          this[key] = res.bidTypeData[key]
        })
      })
    }
  }
}
